---
# Cop supports --autocorrect.
Layout/EmptyLineAfterMagicComment:
  Details: grace period
  Exclude:
    - 'app/controllers/admin/instance_review_controller.rb'
    - 'app/controllers/concerns/render_access_tokens.rb'
    - 'app/controllers/groups/observability_controller.rb'
    - 'app/controllers/groups/registry/repositories_controller.rb'
    - 'app/controllers/projects/metrics_dashboard_controller.rb'
    - 'app/finders/ci/auth_job_finder.rb'
    - 'app/finders/clusters/knative_services_finder.rb'
    - 'app/finders/keys_finder.rb'
    - 'app/finders/packages/composer/packages_finder.rb'
    - 'app/finders/packages/npm/package_finder.rb'
    - 'app/finders/packages/package_file_finder.rb'
    - 'app/finders/packages/package_finder.rb'
    - 'app/finders/packages/tags_finder.rb'
    - 'app/finders/releases/group_releases_finder.rb'
    - 'app/graphql/resolvers/commit_pipelines_resolver.rb'
    - 'app/graphql/resolvers/group_packages_resolver.rb'
    - 'app/graphql/resolvers/merge_request_pipelines_resolver.rb'
    - 'app/graphql/resolvers/project_members_resolver.rb'
    - 'app/graphql/resolvers/project_milestones_resolver.rb'
    - 'app/graphql/resolvers/project_packages_resolver.rb'
    - 'app/graphql/resolvers/project_pipelines_resolver.rb'
    - 'app/graphql/resolvers/projects/snippets_resolver.rb'
    - 'app/graphql/resolvers/snippets_resolver.rb'
    - 'app/graphql/resolvers/users/snippets_resolver.rb'
    - 'app/graphql/types/access_level_type.rb'
    - 'app/graphql/types/ci/detailed_status_type.rb'
    - 'app/graphql/types/ci/status_action_type.rb'
    - 'app/graphql/types/packages/package_dependency_type.rb'
    - 'app/graphql/types/repository/blob_type.rb'
    - 'app/graphql/types/tree/blob_type.rb'
    - 'app/graphql/types/tree/entry_type.rb'
    - 'app/graphql/types/tree/submodule_type.rb'
    - 'app/graphql/types/tree/tree_entry_type.rb'
    - 'app/graphql/types/tree/tree_type.rb'
    - 'app/helpers/ci/secure_files_helper.rb'
    - 'app/helpers/projects/google_cloud/cloudsql_helper.rb'
    - 'app/helpers/projects/ml/experiments_helper.rb'
    - 'app/models/airflow.rb'
    - 'app/models/ci/job_token/allowlist.rb'
    - 'app/models/commit_signatures/gpg_signature.rb'
    - 'app/models/commit_signatures/x509_commit_signature.rb'
    - 'app/models/concerns/analytics/cycle_analytics/stage_event_model.rb'
    - 'app/models/concerns/commit_signature.rb'
    - 'app/models/concerns/diff_positionable_note.rb'
    - 'app/models/concerns/enums/ci/commit_status.rb'
    - 'app/models/concerns/restricted_signup.rb'
    - 'app/models/dependency_proxy.rb'
    - 'app/models/draft_note.rb'
    - 'app/models/integrations/harbor.rb'
    - 'app/models/ml.rb'
    - 'app/models/namespace/traversal_hierarchy.rb'
    - 'app/models/namespaces/traversal/linear.rb'
    - 'app/models/packages.rb'
    - 'app/models/packages/cleanup.rb'
    - 'app/models/packages/conan.rb'
    - 'app/models/packages/dependency.rb'
    - 'app/models/packages/dependency_link.rb'
    - 'app/models/packages/maven.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/npm.rb'
    - 'app/models/packages/nuget.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/packages/package_file.rb'
    - 'app/models/packages/pypi.rb'
    - 'app/models/packages/rpm.rb'
    - 'app/models/packages/rpm/repository_file.rb'
    - 'app/models/packages/rubygems.rb'
    - 'app/models/packages/tag.rb'
    - 'app/models/users/user_follow_user.rb'
    - 'app/policies/container_registry/tag_policy.rb'
    - 'app/policies/customer_relations/contact_policy.rb'
    - 'app/policies/customer_relations/organization_policy.rb'
    - 'app/policies/dependency_proxy/blob_policy.rb'
    - 'app/policies/dependency_proxy/group_setting_policy.rb'
    - 'app/policies/dependency_proxy/image_ttl_group_policy_policy.rb'
    - 'app/policies/dependency_proxy/manifest_policy.rb'
    - 'app/policies/metrics/dashboard/annotation_policy.rb'
    - 'app/policies/packages/composer/metadatum_policy.rb'
    - 'app/policies/packages/conan/file_metadatum_policy.rb'
    - 'app/policies/packages/conan/metadatum_policy.rb'
    - 'app/policies/packages/dependency_link_policy.rb'
    - 'app/policies/packages/helm/file_metadatum_policy.rb'
    - 'app/policies/packages/maven/metadatum_policy.rb'
    - 'app/policies/packages/nuget/dependency_link_metadatum_policy.rb'
    - 'app/policies/packages/nuget/metadatum_policy.rb'
    - 'app/policies/packages/package_file_policy.rb'
    - 'app/policies/packages/package_policy.rb'
    - 'app/policies/packages/pypi/metadatum_policy.rb'
    - 'app/policies/packages/tag_policy.rb'
    - 'app/presenters/commit_status_presenter.rb'
    - 'app/serializers/draft_note_entity.rb'
    - 'app/serializers/draft_note_serializer.rb'
    - 'app/services/ci/pipeline_artifacts/coverage_report_service.rb'
    - 'app/services/ci/pipeline_artifacts/create_code_quality_mr_diff_report_service.rb'
    - 'app/services/clusters/build_service.rb'
    - 'app/services/labels/available_labels_service.rb'
    - 'app/services/merge_requests/mergeability/check_base_service.rb'
    - 'app/services/merge_requests/mergeability/check_broken_status_service.rb'
    - 'app/services/merge_requests/mergeability/check_ci_status_service.rb'
    - 'app/services/merge_requests/mergeability/check_discussions_status_service.rb'
    - 'app/services/merge_requests/mergeability/run_checks_service.rb'
    - 'app/services/metrics/dashboard/cluster_metrics_embed_service.rb'
    - 'app/services/packages/create_dependency_service.rb'
    - 'app/services/packages/create_package_file_service.rb'
    - 'app/services/packages/maven/create_package_service.rb'
    - 'app/services/packages/maven/find_or_create_package_service.rb'
    - 'app/services/packages/npm/create_package_service.rb'
    - 'app/services/packages/npm/create_tag_service.rb'
    - 'app/services/packages/nuget/create_dependency_service.rb'
    - 'app/services/packages/remove_tag_service.rb'
    - 'app/services/packages/rpm/repository_metadata/build_filelist_xml_service.rb'
    - 'app/services/packages/rpm/repository_metadata/build_other_xml_service.rb'
    - 'app/services/packages/rpm/repository_metadata/build_primary_xml_service.rb'
    - 'app/services/packages/rpm/repository_metadata/build_repomd_xml_service.rb'
    - 'app/services/packages/rpm/repository_metadata/build_xml_base_service.rb'
    - 'app/services/packages/rpm/repository_metadata/update_xml_service.rb'
    - 'app/services/packages/update_tags_service.rb'
    - 'app/uploaders/packages/composer/cache_uploader.rb'
    - 'app/uploaders/packages/debian/component_file_uploader.rb'
    - 'app/uploaders/packages/debian/distribution_release_file_uploader.rb'
    - 'app/uploaders/packages/package_file_uploader.rb'
    - 'app/uploaders/packages/rpm/repository_file_uploader.rb'
    - 'app/validators/json_schema_validator.rb'
    - 'app/views/shared/issuable/_issuable.atom.builder'
    - 'app/workers/ci/merge_requests/add_todo_when_build_fails_worker.rb'
    - 'app/workers/concerns/auto_devops_queue.rb'
    - 'app/workers/concerns/chaos_queue.rb'
    - 'app/workers/concerns/limited_capacity/job_tracker.rb'
    - 'app/workers/database/batched_background_migration/ci_database_worker.rb'
    - 'app/workers/gitlab/import/stuck_project_import_jobs_worker.rb'
    - 'app/workers/gitlab/phabricator_import/import_tasks_worker.rb'
    - 'config/application.rb'
    - 'config/initializers/fog_core_patch.rb'
    - 'config/initializers/rubyzip.rb'
    - 'config/initializers/sawyer_patch.rb'
    - 'config/initializers/seed_fu.rb'
    - 'config/initializers/sidekiq.rb'
    - 'config/routes/merge_requests.rb'
    - 'danger/ce_ee_vue_templates/Dangerfile'
    - 'danger/feature_flag/Dangerfile'
    - 'danger/pajamas/Dangerfile'
    - 'db/migrate/20210929121516_add_releases_author_id_id_created_at_index.rb'
    - 'db/migrate/20211019153615_add_state_to_merge_request_assignees.rb'
    - 'db/migrate/20211126113029_add_text_limit_for_static_objects_external_storage_auth_token.rb'
    - 'db/migrate/20220204093120_create_analytics_cycle_analytics_aggregations.rb'
    - 'db/migrate/20220215164709_update_application_settings_container_registry_exp_pol_worker_capacity_default.rb'
    - 'db/migrate/20220506154054_create_sync_namespace_details_trigger.rb'
    - 'db/migrate/20220524184149_create_sync_project_namespace_details_trigger.rb'
    - 'db/migrate/20220617141347_create_ci_secure_file_states.rb'
    - 'db/migrate/20220802154757_add_deactivate_dormant_user_time_setting.rb'
    - 'db/migrate/20221107115247_change_scim_identity_group_id_remove_null.rb'
    - 'db/migrate/20221107115413_change_scim_oauth_access_token_group_id_remove_null.rb'
    - 'db/migrate/20221116134507_add_projects_emails_enabled_column.rb'
    - 'db/migrate/20221116134539_add_namespaces_emails_enabled_column.rb'
    - 'db/migrate/20221202202351_remove_index_i_ci_job_token_project_scope_links_on_source_and_target_project.rb'
    - 'db/migrate/20221216145659_add_pa_clickhouse_connection_string_to_application_settings.rb'
    - 'db/migrate/20221219103007_add_name_to_ml_candidates.rb'
    - 'db/migrate/20221219122320_copy_clickhouse_connection_string_to_encrypted_var.rb'
    - 'db/migrate/20230111124512_remove_tmp_index_vulns_on_report_type.rb'
    - 'db/post_migrate/20211209203820_add_tmp_index_on_report_type.rb'
    - 'db/post_migrate/20211209203821_convert_stringified_raw_metadata_hash_to_json.rb'
    - 'db/post_migrate/20220412143551_add_partial_index_on_unencrypted_integrations.rb'
    - 'db/post_migrate/20220413011328_remove_partial_index_on_unencrypted_integrations.rb'
    - 'db/post_migrate/20220901071355_cleanup_attention_request_user_callouts.rb'
    - 'db/post_migrate/20220929091500_add_tmp_index_vulns_on_report_type.rb'
    - 'db/post_migrate/20221004094814_schedule_destroy_invalid_members.rb'
    - 'db/post_migrate/20221104170500_add_vulnerability_reads_all_status_index.rb'
    - 'db/post_migrate/20221116134611_add_namespaces_emails_enabled_column_data.rb'
    - 'db/post_migrate/20221116134633_add_projects_emails_enabled_column_data.rb'
    - 'db/post_migrate/20221210154044_update_active_billable_users_index.rb'
    - 'ee/app/controllers/concerns/epics_actions.rb'
    - 'ee/app/controllers/concerns/saml_authorization.rb'
    - 'ee/app/controllers/ee/projects/analytics/cycle_analytics/stages_controller.rb'
    - 'ee/app/controllers/ee/projects/security/configuration_controller.rb'
    - 'ee/app/controllers/ee/projects/settings/ci_cd_controller.rb'
    - 'ee/app/controllers/groups/epic_boards_controller.rb'
    - 'ee/app/controllers/groups/saml_providers_controller.rb'
    - 'ee/app/controllers/groups/security/compliance_dashboards_controller.rb'
    - 'ee/app/controllers/groups/security/dashboard_controller.rb'
    - 'ee/app/controllers/groups/security/merge_commit_reports_controller.rb'
    - 'ee/app/controllers/groups/two_factor_auths_controller.rb'
    - 'ee/app/controllers/projects/protected_environments_controller.rb'
    - 'ee/app/finders/groups_with_templates_finder.rb'
    - 'ee/app/finders/status_page/incidents_finder.rb'
    - 'ee/app/graphql/ee/types/clusters/agent_type.rb'
    - 'ee/app/graphql/ee/types/repository/blob_type.rb'
    - 'ee/app/graphql/types/analytics/devops_adoption/enabled_namespace_type.rb'
    - 'ee/app/graphql/types/analytics/devops_adoption/snapshot_type.rb'
    - 'ee/app/graphql/types/compliance_management/compliance_framework_type.rb'
    - 'ee/app/graphql/types/path_lock_type.rb'
    - 'ee/app/graphql/types/product_analytics/panel_type.rb'
    - 'ee/app/graphql/types/timebox_error_type.rb'
    - 'ee/app/graphql/types/timebox_report_type.rb'
    - 'ee/app/graphql/types/vulnerability_identifier_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_vendor_input_type.rb'
    - 'ee/app/helpers/ee/admin/identities_helper.rb'
    - 'ee/app/helpers/ee/ci/runners_helper.rb'
    - 'ee/app/helpers/ee/hooks_helper.rb'
    - 'ee/app/helpers/ee/routing/projects_helper.rb'
    - 'ee/app/helpers/ee/search_helper.rb'
    - 'ee/app/helpers/ee/sorting_helper.rb'
    - 'ee/app/helpers/ee/sorting_titles_values_helper.rb'
    - 'ee/app/models/analytics/devops_adoption.rb'
    - 'ee/app/models/approvals/scan_finding_wrapped_rule_set.rb'
    - 'ee/app/models/concerns/approver_migrate_hook.rb'
    - 'ee/app/models/concerns/ee/approvable.rb'
    - 'ee/app/models/concerns/elastic/application_versioned_search.rb'
    - 'ee/app/models/concerns/security/scan_execution_policy.rb'
    - 'ee/app/models/dependencies/dependency_list_export.rb'
    - 'ee/app/models/ee/issue_assignee.rb'
    - 'ee/app/models/geo/ci_secure_file_state.rb'
    - 'ee/app/models/namespaces/storage/cli_notification.rb'
    - 'ee/app/models/namespaces/storage/limit_exclusion.rb'
    - 'ee/app/models/project_security_setting.rb'
    - 'ee/app/models/protected_environment.rb'
    - 'ee/app/models/sbom/vulnerable_component_version.rb'
    - 'ee/app/models/vulnerabilities/merge_request_link.rb'
    - 'ee/app/policies/ee/ci/build_policy.rb'
    - 'ee/app/policies/ee/environment_policy.rb'
    - 'ee/app/policies/security/finding_policy.rb'
    - 'ee/app/policies/vulnerabilities/finding_policy.rb'
    - 'ee/app/presenters/applied_ml/suggested_reviewers_presenter.rb'
    - 'ee/app/serializers/audit_event_serializer.rb'
    - 'ee/app/serializers/ee/issue_board_entity.rb'
    - 'ee/app/serializers/ee/issue_entity.rb'
    - 'ee/app/serializers/license_compliance/collapsed_comparer_entity.rb'
    - 'ee/app/serializers/license_compliance/comparer_serializer.rb'
    - 'ee/app/services/analytics/cycle_analytics/aggregator_service.rb'
    - 'ee/app/services/arkose/blocked_users_report_service.rb'
    - 'ee/app/services/audit_events/streaming/headers/base.rb'
    - 'ee/app/services/audit_events/streaming/headers/create_service.rb'
    - 'ee/app/services/audit_events/streaming/headers/destroy_service.rb'
    - 'ee/app/services/audit_events/streaming/headers/update_service.rb'
    - 'ee/app/services/compliance_management/projects/create_ci_config_service.rb'
    - 'ee/app/services/ee/audit_events/build_service.rb'
    - 'ee/app/services/ee/ci/process_build_service.rb'
    - 'ee/app/services/ee/groups/autocomplete_service.rb'
    - 'ee/app/services/ee/ip_restrictions/update_service.rb'
    - 'ee/app/services/ee/projects/autocomplete_service.rb'
    - 'ee/app/services/ee/system_notes/issuables_service.rb'
    - 'ee/app/services/gitlab_subscriptions/create_trial_or_lead_service.rb'
    - 'ee/app/services/gitlab_subscriptions/fetch_subscription_plans_service.rb'
    - 'ee/app/services/gitlab_subscriptions/reconciliations/calculate_seat_count_data_service.rb'
    - 'ee/app/services/group_saml/group_managed_accounts/clean_up_members_service.rb'
    - 'ee/app/services/group_saml/sign_up_service.rb'
    - 'ee/app/services/merge_trains/create_pipeline_service.rb'
    - 'ee/app/services/merge_trains/refresh_merge_request_service.rb'
    - 'ee/app/services/merge_trains/refresh_service.rb'
    - 'ee/app/services/protected_environments/base_service.rb'
    - 'ee/app/services/protected_environments/create_service.rb'
    - 'ee/app/services/protected_environments/destroy_service.rb'
    - 'ee/app/services/protected_environments/environment_dropdown_service.rb'
    - 'ee/app/services/protected_environments/search_service.rb'
    - 'ee/app/services/protected_environments/update_service.rb'
    - 'ee/app/services/users/captcha_challenge_service.rb'
    - 'ee/app/services/vulnerabilities/manually_create_service.rb'
    - 'ee/app/workers/ee/issuable_export_csv_worker.rb'
    - 'ee/app/workers/groups/export_memberships_worker.rb'
    - 'ee/db/fixtures/development/25_downstream_pipelines.rb'
    - 'ee/db/geo/migrate/20220617125507_create_ci_secure_file_registry.rb'
    - 'ee/lib/compliance_management/merge_request_approval_settings/resolver.rb'
    - 'ee/lib/ee/api/internal/kubernetes.rb'
    - 'ee/lib/ee/gitlab/ci/parsers/security/validators/schema_validator.rb'
    - 'ee/lib/ee/gitlab/hook_data/group_member_builder.rb'
    - 'ee/lib/ee/gitlab/hook_data/issue_builder.rb'
    - 'ee/lib/ee/gitlab/hook_data/user_builder.rb'
    - 'ee/lib/ee/gitlab/scim/base_deprovisioning_service.rb'
    - 'ee/lib/ee/gitlab/scim/base_provisioning_service.rb'
    - 'ee/lib/ee/gitlab/scim/provisioning_service.rb'
    - 'ee/lib/elastic/as_json.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/adapter/active_record/importing.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/adapter/multiple/records.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/indexing/instance_methods.rb'
    - 'ee/lib/gem_extensions/elasticsearch/model/response/records.rb'
    - 'ee/lib/gitlab/ci/parsers/requirements_management/requirement.rb'
    - 'ee/lib/gitlab/cidr.rb'
    - 'ee/lib/quality/seeders/vulnerabilities.rb'
    - 'ee/spec/components/billing/plan_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/enforcement_at_limit_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/non_owner_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/non_owner_notification_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/notification_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/usage_quota_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/usage_quota_trial_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/limit_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/project_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/subgroup_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/user_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/controllers/admin/geo/nodes_controller_spec.rb'
    - 'ee/spec/controllers/ee/projects/autocomplete_sources_controller_spec.rb'
    - 'ee/spec/controllers/ee/projects/protected_branches_controller_spec.rb'
    - 'ee/spec/controllers/groups/push_rules_controller_spec.rb'
    - 'ee/spec/controllers/groups/roadmap_controller_spec.rb'
    - 'ee/spec/controllers/projects/protected_environments_controller_spec.rb'
    - 'ee/spec/db/production/license_spec.rb'
    - 'ee/spec/factories/ci/builds.rb'
    - 'ee/spec/factories/group_saml_identities.rb'
    - 'ee/spec/factories/protected_environments.rb'
    - 'ee/spec/factories/protected_environments/deploy_access_levels.rb'
    - 'ee/spec/factories/scim_identities.rb'
    - 'ee/spec/factories/work_items/progress.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/charts_spec.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/multiple_value_streams_spec.rb'
    - 'ee/spec/features/groups/members/list_members_spec.rb'
    - 'ee/spec/features/merge_request/user_sees_merge_widget_spec.rb'
    - 'ee/spec/features/projects/kerberos_clone_instructions_spec.rb'
    - 'ee/spec/features/projects/settings/merge_request_approvals_settings_spec.rb'
    - 'ee/spec/features/projects/settings/merge_requests_settings_spec.rb'
    - 'ee/spec/features/trial_registrations/company_information_spec.rb'
    - 'ee/spec/finders/auth/group_saml_identity_finder_spec.rb'
    - 'ee/spec/finders/geo/design_registry_finder_spec.rb'
    - 'ee/spec/finders/geo/project_registry_status_finder_spec.rb'
    - 'ee/spec/frontend/fixtures/analytics/charts.rb'
    - 'ee/spec/frontend/fixtures/analytics/metrics.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_code_stage.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_issue_stage.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_plan_stage.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_review_stage.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_staging_stage.rb'
    - 'ee/spec/frontend/fixtures/analytics/value_streams_test_stage.rb'
    - 'ee/spec/frontend/fixtures/saml_providers.rb'
    - 'ee/spec/graphql/mutations/instance_security_dashboard/add_project_spec.rb'
    - 'ee/spec/graphql/mutations/issues/promote_to_epic_spec.rb'
    - 'ee/spec/graphql/mutations/issues/set_weight_spec.rb'
    - 'ee/spec/graphql/mutations/security/finding/dismiss_spec.rb'
    - 'ee/spec/graphql/mutations/security_policy/commit_scan_execution_policy_spec.rb'
    - 'ee/spec/graphql/mutations/security_policy/create_security_policy_project_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/confirm_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/create_external_issue_link_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/create_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/destroy_external_issue_link_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/dismiss_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/finding/dismiss_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/resolve_spec.rb'
    - 'ee/spec/graphql/mutations/vulnerabilities/revert_to_detected_spec.rb'
    - 'ee/spec/helpers/ee/auth_helper_spec.rb'
    - 'ee/spec/helpers/ee/geo_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups/analytics/cycle_analytics_helper_spec.rb'
    - 'ee/spec/helpers/ee/invite_members_helper_spec.rb'
    - 'ee/spec/helpers/ee/namespaces_helper_spec.rb'
    - 'ee/spec/helpers/ee/saml_providers_helper_spec.rb'
    - 'ee/spec/helpers/roadmaps_helper_spec.rb'
    - 'ee/spec/lib/banzai/filter/issuable_reference_expansion_filter_spec.rb'
    - 'ee/spec/lib/banzai/issuable_extractor_spec.rb'
    - 'ee/spec/lib/ee/api/helpers/members_helpers_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/backfill_epic_cache_counts_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/migrate_shared_vulnerability_scanners_spec.rb'
    - 'ee/spec/lib/ee/gitlab/database/gitlab_schema_spec.rb'
    - 'ee/spec/lib/ee/gitlab/git_access_design_spec.rb'
    - 'ee/spec/lib/ee/gitlab/git_access_snippet_spec.rb'
    - 'ee/spec/lib/ee/gitlab/hook_data/group_member_builder_spec.rb'
    - 'ee/spec/lib/ee/gitlab/hook_data/issue_builder_spec.rb'
    - 'ee/spec/lib/ee/gitlab/hook_data/user_builder_spec.rb'
    - 'ee/spec/lib/ee/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'ee/spec/lib/ee/gitlab/snippet_search_results_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/summary/group/stage_summary_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/summary/stage_time_summary_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/membership_enforcer_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/token_actor_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/user_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/dependency_scanning_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/code_owners/entry_spec.rb'
    - 'ee/spec/lib/gitlab/geo/replication/blob_retriever_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/branch_components_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/pipeline_components_spec.rb'
    - 'ee/spec/lib/gitlab/middleware/ip_restrictor_spec.rb'
    - 'ee/spec/lib/gitlab/search/client_spec.rb'
    - 'ee/spec/lib/gitlab/spdx/catalogue_spec.rb'
    - 'ee/spec/lib/system_check/app/advanced_search_migrations_check_spec.rb'
    - 'ee/spec/lib/system_check/geo/http_connection_check_spec.rb'
    - 'ee/spec/migrations/20220411173544_cleanup_orphans_approval_project_rules_spec.rb'
    - 'ee/spec/models/analytics/cycle_analytics/aggregation_context_spec.rb'
    - 'ee/spec/models/ci/minutes/quota_spec.rb'
    - 'ee/spec/models/ci/minutes/usage_spec.rb'
    - 'ee/spec/models/deployments/approval_summary_spec.rb'
    - 'ee/spec/models/group_member_spec.rb'
    - 'ee/spec/models/packages/package_file_spec.rb'
    - 'ee/spec/models/project_member_spec.rb'
    - 'ee/spec/models/protected_environment_spec.rb'
    - 'ee/spec/models/protected_environments/approval_rule_spec.rb'
    - 'ee/spec/models/protected_environments/deploy_access_level_spec.rb'
    - 'ee/spec/models/sbom/vulnerable_component_version_spec.rb'
    - 'ee/spec/models/vulnerabilities/advisory_spec.rb'
    - 'ee/spec/models/vulnerabilities/finding_spec.rb'
    - 'ee/spec/models/work_items/progress_spec.rb'
    - 'ee/spec/policies/app_sec/fuzzing/coverage/corpus_policy_spec.rb'
    - 'ee/spec/policies/ci/build_policy_spec.rb'
    - 'ee/spec/policies/deployment_policy_spec.rb'
    - 'ee/spec/policies/environment_policy_spec.rb'
    - 'ee/spec/policies/identity_provider_policy_spec.rb'
    - 'ee/spec/policies/path_lock_policy_spec.rb'
    - 'ee/spec/policies/saml_provider_policy_spec.rb'
    - 'ee/spec/presenters/ci/build_presenter_spec.rb'
    - 'ee/spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'ee/spec/requests/api/graphql/ci/runners_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/create_issue_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/revert_to_detected_spec.rb'
    - 'ee/spec/requests/api/graphql/project/alert_management/integrations_spec.rb'
    - 'ee/spec/requests/api/graphql/project/issue_status_counts_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/merge_trains_spec.rb'
    - 'ee/spec/requests/api/pypi_packages_spec.rb'
    - 'ee/spec/requests/ee/application_controller_spec.rb'
    - 'ee/spec/requests/groups/protected_environments_controller_spec.rb'
    - 'ee/spec/requests/groups/roadmap_controller_spec.rb'
    - 'ee/spec/routing/admin_routing_spec.rb'
    - 'ee/spec/routing/user_routing_spec.rb'
    - 'ee/spec/serializers/ee/blob_entity_spec.rb'
    - 'ee/spec/serializers/ee/build_details_entity_spec.rb'
    - 'ee/spec/serializers/ee/ci/job_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/collapsed_comparer_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/comparer_entity_spec.rb'
    - 'ee/spec/services/ci/copy_cross_database_associations_service_spec.rb'
    - 'ee/spec/services/ci/minutes/refresh_cached_data_service_spec.rb'
    - 'ee/spec/services/ci/process_build_service_spec.rb'
    - 'ee/spec/services/ci/retry_job_service_spec.rb'
    - 'ee/spec/services/ci/retry_pipeline_service_spec.rb'
    - 'ee/spec/services/ee/design_management/delete_designs_service_spec.rb'
    - 'ee/spec/services/ee/design_management/save_designs_service_spec.rb'
    - 'ee/spec/services/ee/notes/quick_actions_service_spec.rb'
    - 'ee/spec/services/ee/users/update_service_spec.rb'
    - 'ee/spec/services/epics/close_service_spec.rb'
    - 'ee/spec/services/epics/issue_promote_service_spec.rb'
    - 'ee/spec/services/epics/reopen_service_spec.rb'
    - 'ee/spec/services/issue_feature_flags/list_service_spec.rb'
    - 'ee/spec/services/licenses/destroy_service_spec.rb'
    - 'ee/spec/services/milestones/update_service_spec.rb'
    - 'ee/spec/services/protected_environments/create_service_spec.rb'
    - 'ee/spec/services/protected_environments/destroy_service_spec.rb'
    - 'ee/spec/services/protected_environments/environment_dropdown_service_spec.rb'
    - 'ee/spec/services/protected_environments/search_service_spec.rb'
    - 'ee/spec/services/protected_environments/update_service_spec.rb'
    - 'ee/spec/services/wikis/create_attachment_service_spec.rb'
    - 'ee/spec/support/helpers/board_helpers.rb'
    - 'ee/spec/workers/app_sec/dast/profile_schedule_worker_spec.rb'
    - 'ee/spec/workers/integrations/slack_event_worker_spec.rb'
    - 'ee/spec/workers/namespaces/free_user_cap/backfill_notification_jobs_worker_spec.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/concerns/packages/nuget_endpoints.rb'
    - 'lib/api/go_proxy.rb'
    - 'lib/api/integrations.rb'
    - 'lib/api/maven_packages.rb'
    - 'lib/api/npm_instance_packages.rb'
    - 'lib/api/npm_project_packages.rb'
    - 'lib/api/rpm_project_packages.rb'
    - 'lib/backup/dump/postgres.rb'
    - 'lib/gitlab/auth/blocked_user_tracker.rb'
    - 'lib/gitlab/auth/otp/fortinet.rb'
    - 'lib/gitlab/background_migration/backfill_imported_issue_search_data.rb'
    - 'lib/gitlab/background_migration/backfill_issue_search_data.rb'
    - 'lib/gitlab/background_migration/backfill_project_import_level.rb'
    - 'lib/gitlab/background_migration/backfill_project_namespace_details.rb'
    - 'lib/gitlab/background_migration/drop_invalid_security_findings.rb'
    - 'lib/gitlab/background_migration/mailers/unconfirm_mailer.rb'
    - 'lib/gitlab/background_migration/migrate_u2f_webauthn.rb'
    - 'lib/gitlab/background_migration/populate_test_reports_issue_id.rb'
    - 'lib/gitlab/background_migration/update_users_where_two_factor_auth_required_from_group.rb'
    - 'lib/gitlab/ci/secure_files/mobile_provision.rb'
    - 'lib/gitlab/cleanup/remote_uploads.rb'
    - 'lib/gitlab/database/migrations/background_migration_helpers.rb'
    - 'lib/gitlab/database/partitioning/detached_partition_dropper.rb'
    - 'lib/gitlab/diff/highlight_cache.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file_helper.rb'
    - 'lib/gitlab/diff/stats_cache.rb'
    - 'lib/gitlab/discussions_diff/highlight_cache.rb'
    - 'lib/gitlab/doorkeeper_secret_storing/secret/pbkdf2_sha512.rb'
    - 'lib/gitlab/git/base_error.rb'
    - 'lib/gitlab/graphql/board/issues_connection_extension.rb'
    - 'lib/gitlab/graphql/extensions/externally_paginated_array_extension.rb'
    - 'lib/gitlab/graphql/extensions/forward_only_externally_paginated_array_extension.rb'
    - 'lib/gitlab/graphql/project/dast_profile_connection_extension.rb'
    - 'lib/gitlab/import_export/recursive_merge_folders.rb'
    - 'lib/gitlab/import_export/shared.rb'
    - 'lib/gitlab/json_logger.rb'
    - 'lib/gitlab/kubernetes/helm/v2/certificate.rb'
    - 'lib/gitlab/lfs/client.rb'
    - 'lib/gitlab/merge_requests/mergeability/check_result.rb'
    - 'lib/gitlab/merge_requests/mergeability/redis_interface.rb'
    - 'lib/gitlab/merge_requests/mergeability/results_store.rb'
    - 'lib/gitlab/merge_requests/message_generator.rb'
    - 'lib/gitlab/pagination/keyset/sql_type_missing_error.rb'
    - 'lib/gitlab/phabricator_import/cache/map.rb'
    - 'lib/gitlab/phabricator_import/conduit.rb'
    - 'lib/gitlab/phabricator_import/conduit/client.rb'
    - 'lib/gitlab/phabricator_import/conduit/maniphest.rb'
    - 'lib/gitlab/phabricator_import/conduit/pagination.rb'
    - 'lib/gitlab/phabricator_import/conduit/response.rb'
    - 'lib/gitlab/phabricator_import/conduit/tasks_response.rb'
    - 'lib/gitlab/phabricator_import/conduit/user.rb'
    - 'lib/gitlab/phabricator_import/issues/importer.rb'
    - 'lib/gitlab/phabricator_import/issues/task_importer.rb'
    - 'lib/gitlab/phabricator_import/representation/task.rb'
    - 'lib/gitlab/phabricator_import/worker_state.rb'
    - 'lib/gitlab/relative_positioning/gap.rb'
    - 'lib/gitlab/safe_device_detector.rb'
    - 'lib/gitlab/spamcheck/client.rb'
    - 'lib/gitlab/tracking/destinations/snowplow_micro.rb'
    - 'lib/gitlab/utils/mime_type.rb'
    - 'lib/gitlab/x509/commit.rb'
    - 'lib/gitlab/x509/signature.rb'
    - 'lib/gitlab/x509/tag.rb'
    - 'lib/security/report_schema_version_matcher.rb'
    - 'lib/security/weak_passwords.rb'
    - 'lib/tasks/gitlab/docs/redirect.rake'
    - 'lib/tasks/gitlab/metrics_exporter.rake'
    - 'lib/tasks/gitlab/password.rake'
    - 'lib/tasks/gitlab/security/update_banned_ssh_keys.rake'
    - 'qa/qa/ee/runtime/saml.rb'
    - 'qa/qa/page/component/access_tokens.rb'
    - 'qa/qa/page/group/settings/package_registries.rb'
    - 'qa/qa/runtime/ip_address.rb'
    - 'qa/qa/runtime/mail_hog.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/source_editor/source_editor_toolbar_spec.rb'
    - 'qa/qa/specs/features/ee/api/7_configure/kubernetes/kubernetes_agent_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/ldap/admin_ldap_sync_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/4_verify/job_trace_archival_spec.rb'
    - 'qa/qa/support/otp.rb'
    - 'qa/qa/support/repeater.rb'
    - 'qa/spec/tools/test_resources_data_processor_spec.rb'
    - 'rubocop/cop/group_public_or_visible_to_user.rb'
    - 'rubocop/cop/migration/add_reference.rb'
    - 'rubocop/cop/migration/prevent_index_creation.rb'
    - 'scripts/lib/glfm/shared.rb'
    - 'scripts/lib/glfm/update_example_snapshots.rb'
    - 'scripts/lib/glfm/update_specification.rb'
    - 'scripts/lib/glfm/verify_all_generated_files_are_up_to_date.rb'
    - 'spec/components/layouts/horizontal_section_component_spec.rb'
    - 'spec/components/pajamas/alert_component_spec.rb'
    - 'spec/components/pajamas/avatar_component_spec.rb'
    - 'spec/components/pajamas/banner_component_spec.rb'
    - 'spec/components/pajamas/button_component_spec.rb'
    - 'spec/components/pajamas/card_component_spec.rb'
    - 'spec/components/pajamas/checkbox_component_spec.rb'
    - 'spec/components/pajamas/checkbox_tag_component_spec.rb'
    - 'spec/components/pajamas/component_spec.rb'
    - 'spec/components/pajamas/concerns/checkbox_radio_label_with_help_text_spec.rb'
    - 'spec/components/pajamas/concerns/checkbox_radio_options_spec.rb'
    - 'spec/components/pajamas/radio_component_spec.rb'
    - 'spec/components/pajamas/spinner_component_spec.rb'
    - 'spec/components/pajamas/toggle_component_spec.rb'
    - 'spec/components/previews/pajamas/alert_component_preview.rb'
    - 'spec/components/previews/pajamas/avatar_component_preview.rb'
    - 'spec/components/previews/pajamas/banner_component_preview.rb'
    - 'spec/components/previews/pajamas/button_component_preview.rb'
    - 'spec/components/previews/pajamas/card_component_preview.rb'
    - 'spec/components/previews/pajamas/spinner_component_preview.rb'
    - 'spec/controllers/application_controller_spec.rb'
    - 'spec/controllers/concerns/analytics/cycle_analytics/value_stream_actions_spec.rb'
    - 'spec/controllers/projects/jobs_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/drafts_controller_spec.rb'
    - 'spec/factories/airflow/dags.rb'
    - 'spec/factories/alert_management/alerts.rb'
    - 'spec/factories/draft_note.rb'
    - 'spec/factories/ml/candidates.rb'
    - 'spec/factories/ml/experiments.rb'
    - 'spec/factories/packages/composer/cache_files.rb'
    - 'spec/factories/packages/packages.rb'
    - 'spec/features/issuables/sorting_list_spec.rb'
    - 'spec/features/merge_request/merge_request_discussion_lock_spec.rb'
    - 'spec/features/merge_request/user_views_merge_request_from_deleted_fork_spec.rb'
    - 'spec/features/projects/pages/user_adds_domain_spec.rb'
    - 'spec/features/projects/pages/user_configures_pages_pipeline_spec.rb'
    - 'spec/features/projects/pages/user_edits_lets_encrypt_settings_spec.rb'
    - 'spec/features/projects/pages/user_edits_settings_spec.rb'
    - 'spec/features/projects/settings/user_manages_merge_requests_settings_spec.rb'
    - 'spec/features/projects/tags/user_views_tag_spec.rb'
    - 'spec/features/projects/tags/user_views_tags_spec.rb'
    - 'spec/finders/ci/auth_job_finder_spec.rb'
    - 'spec/finders/packages/composer/packages_finder_spec.rb'
    - 'spec/finders/packages/conan/package_file_finder_spec.rb'
    - 'spec/finders/packages/conan/package_finder_spec.rb'
    - 'spec/finders/packages/group_packages_finder_spec.rb'
    - 'spec/finders/packages/npm/package_finder_spec.rb'
    - 'spec/finders/packages/nuget/package_finder_spec.rb'
    - 'spec/finders/packages/package_file_finder_spec.rb'
    - 'spec/finders/packages/tags_finder_spec.rb'
    - 'spec/finders/projects/members/effective_access_level_finder_spec.rb'
    - 'spec/finders/projects/members/effective_access_level_per_user_finder_spec.rb'
    - 'spec/frontend/fixtures/analytics.rb'
    - 'spec/graphql/mutations/ci/job_token_scope/add_project_spec.rb'
    - 'spec/graphql/mutations/ci/job_token_scope/remove_project_spec.rb'
    - 'spec/graphql/mutations/design_management/upload_spec.rb'
    - 'spec/graphql/types/access_level_type_spec.rb'
    - 'spec/graphql/types/label_type_spec.rb'
    - 'spec/graphql/types/users/email_type_spec.rb'
    - 'spec/graphql/types/users/namespace_commit_email_type_spec.rb'
    - 'spec/helpers/analytics/cycle_analytics_helper_spec.rb'
    - 'spec/helpers/keyset_helper_spec.rb'
    - 'spec/helpers/sorting_helper_spec.rb'
    - 'spec/initializers/mail_encoding_patch_spec.rb'
    - 'spec/lib/constraints/admin_constrainer_spec.rb'
    - 'spec/lib/gitlab/analytics/date_filler_spec.rb'
    - 'spec/lib/gitlab/background_migration/drop_invalid_security_findings_spec.rb'
    - 'spec/lib/gitlab/background_migration/encrypt_integration_properties_spec.rb'
    - 'spec/lib/gitlab/background_migration/encrypt_static_object_token_spec.rb'
    - 'spec/lib/gitlab/background_migration/legacy_upload_mover_spec.rb'
    - 'spec/lib/gitlab/background_migration/legacy_uploads_migrator_spec.rb'
    - 'spec/lib/gitlab/background_migration/remove_duplicate_vulnerabilities_findings_spec.rb'
    - 'spec/lib/gitlab/background_migration/remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings_spec.rb'
    - 'spec/lib/gitlab/class_attributes_spec.rb'
    - 'spec/lib/gitlab/cleanup/remote_uploads_spec.rb'
    - 'spec/lib/gitlab/conan_token_spec.rb'
    - 'spec/lib/gitlab/database/gitlab_schema_spec.rb'
    - 'spec/lib/gitlab/database/migrations/instrumentation_spec.rb'
    - 'spec/lib/gitlab/database/migrations/lock_retry_mixin_spec.rb'
    - 'spec/lib/gitlab/database/migrations/observers/query_details_spec.rb'
    - 'spec/lib/gitlab/database/migrations/observers/query_log_spec.rb'
    - 'spec/lib/gitlab/database/migrations/observers/query_statistics_spec.rb'
    - 'spec/lib/gitlab/database/migrations/observers/total_database_size_change_spec.rb'
    - 'spec/lib/gitlab/database/migrations/observers/transaction_duration_spec.rb'
    - 'spec/lib/gitlab/database/migrations/runner_spec.rb'
    - 'spec/lib/gitlab/database/schema_validation/index_spec.rb'
    - 'spec/lib/gitlab/file_markdown_link_builder_spec.rb'
    - 'spec/lib/gitlab/file_type_detection_spec.rb'
    - 'spec/lib/gitlab/git/patches/collection_spec.rb'
    - 'spec/lib/gitlab/git/patches/commit_patches_spec.rb'
    - 'spec/lib/gitlab/git/patches/patch_spec.rb'
    - 'spec/lib/gitlab/git_access_design_spec.rb'
    - 'spec/lib/gitlab/gl_repository/repo_type_spec.rb'
    - 'spec/lib/gitlab/graphql/calls_gitaly/field_extension_spec.rb'
    - 'spec/lib/gitlab/graphql/limit/field_call_count_spec.rb'
    - 'spec/lib/gitlab/graphql/markdown_field_spec.rb'
    - 'spec/lib/gitlab/graphql/mount_mutation_spec.rb'
    - 'spec/lib/gitlab/graphql/present/field_extension_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/logger_tracer_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/timer_tracer_spec.rb'
    - 'spec/lib/gitlab/health_checks/redis_spec.rb'
    - 'spec/lib/gitlab/import/set_async_jid_spec.rb'
    - 'spec/lib/gitlab/json_cache_spec.rb'
    - 'spec/lib/gitlab/jwt_token_spec.rb'
    - 'spec/lib/gitlab/kroki_spec.rb'
    - 'spec/lib/gitlab/kubernetes/helm/v2/certificate_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/active_record/extension_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/extension_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/store_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/cache_spec.rb'
    - 'spec/lib/gitlab/metrics/environment_spec.rb'
    - 'spec/lib/gitlab/metrics/rails_slis_spec.rb'
    - 'spec/lib/gitlab/middleware/handle_malformed_strings_spec.rb'
    - 'spec/lib/gitlab/middleware/request_context_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/client_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/maniphest_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/response_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/tasks_response_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/user_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/users_response_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/issues/importer_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/issues/task_importer_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/project_creator_spec.rb'
    - 'spec/lib/gitlab/request_endpoints_spec.rb'
    - 'spec/lib/gitlab/slash_commands/presenters/issue_new_spec.rb'
    - 'spec/lib/gitlab/ssh/commit_spec.rb'
    - 'spec/lib/gitlab/terraform_registry_token_spec.rb'
    - 'spec/lib/gitlab/tracking_spec.rb'
    - 'spec/lib/gitlab/utils/lazy_attributes_spec.rb'
    - 'spec/lib/gitlab/x509/commit_spec.rb'
    - 'spec/lib/gitlab/x509/tag_spec.rb'
    - 'spec/lib/security/report_schema_version_matcher_spec.rb'
    - 'spec/migrations/20211018152654_schedule_remove_duplicate_vulnerabilities_findings3_spec.rb'
    - 'spec/migrations/20211110143306_add_not_null_constraint_to_security_findings_uuid_spec.rb'
    - 'spec/migrations/20211116111644_schedule_remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings_spec.rb'
    - 'spec/migrations/20211207125331_remove_jobs_for_recalculate_vulnerabilities_occurrences_uuid_spec.rb'
    - 'spec/migrations/20211210140629_encrypt_static_object_token_spec.rb'
    - 'spec/migrations/20211217174331_mark_recalculate_finding_signatures_as_completed_spec.rb'
    - 'spec/migrations/20220107064845_populate_vulnerability_reads_spec.rb'
    - 'spec/migrations/20220202105733_delete_service_template_records_spec.rb'
    - 'spec/migrations/20220222192524_create_not_null_constraint_releases_tag_spec.rb'
    - 'spec/migrations/20220222192525_remove_null_releases_spec.rb'
    - 'spec/migrations/20220309084954_remove_leftover_external_pull_request_deletions_spec.rb'
    - 'spec/migrations/20220322132242_update_pages_onboarding_state_spec.rb'
    - 'spec/migrations/20220329175119_remove_leftover_ci_job_artifact_deletions_spec.rb'
    - 'spec/models/analytics/cycle_analytics/aggregation_spec.rb'
    - 'spec/models/concerns/loose_index_scan_spec.rb'
    - 'spec/models/dependency_proxy/blob_spec.rb'
    - 'spec/models/dependency_proxy/manifest_spec.rb'
    - 'spec/models/dependency_proxy/registry_spec.rb'
    - 'spec/models/design_management/action_spec.rb'
    - 'spec/models/design_management/design_action_spec.rb'
    - 'spec/models/design_management/design_collection_spec.rb'
    - 'spec/models/design_management/version_spec.rb'
    - 'spec/models/integrations/chat_message/pipeline_message_spec.rb'
    - 'spec/models/integrations/datadog_spec.rb'
    - 'spec/models/packages/build_info_spec.rb'
    - 'spec/models/packages/composer/cache_file_spec.rb'
    - 'spec/models/packages/composer/metadatum_spec.rb'
    - 'spec/models/packages/debian/publication_spec.rb'
    - 'spec/models/packages/dependency_link_spec.rb'
    - 'spec/models/packages/dependency_spec.rb'
    - 'spec/models/packages/maven/metadatum_spec.rb'
    - 'spec/models/packages/npm_spec.rb'
    - 'spec/models/packages/package_file_build_info_spec.rb'
    - 'spec/models/packages/package_file_spec.rb'
    - 'spec/models/packages/package_spec.rb'
    - 'spec/models/packages/pypi/metadatum_spec.rb'
    - 'spec/models/packages/rpm/metadatum_spec.rb'
    - 'spec/models/packages/rpm/repository_file_spec.rb'
    - 'spec/models/packages/rubygems/metadatum_spec.rb'
    - 'spec/models/packages/tag_spec.rb'
    - 'spec/models/product_analytics_event_spec.rb'
    - 'spec/policies/design_management/design_policy_spec.rb'
    - 'spec/requests/api/composer_packages_spec.rb'
    - 'spec/requests/api/conan_project_packages_spec.rb'
    - 'spec/requests/api/debian_group_packages_spec.rb'
    - 'spec/requests/api/debian_project_packages_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/graphql/ci/ci_cd_setting_spec.rb'
    - 'spec/requests/api/graphql/ci/groups_spec.rb'
    - 'spec/requests/api/graphql/ci/jobs_spec.rb'
    - 'spec/requests/api/graphql/ci/runner_web_url_edge_spec.rb'
    - 'spec/requests/api/graphql/ci/runners_spec.rb'
    - 'spec/requests/api/graphql/ci/stages_spec.rb'
    - 'spec/requests/api/graphql/ci/template_spec.rb'
    - 'spec/requests/api/graphql/container_repository/container_repository_details_spec.rb'
    - 'spec/requests/api/graphql/group/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_blobs_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_group_setting_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_image_ttl_policy_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_manifests_spec.rb'
    - 'spec/requests/api/graphql/issue_status_counts_spec.rb'
    - 'spec/requests/api/graphql/multiplexed_queries_spec.rb'
    - 'spec/requests/api/graphql/mutations/design_management/move_spec.rb'
    - 'spec/requests/api/graphql/mutations/design_management/upload_spec.rb'
    - 'spec/requests/api/graphql/packages/composer_spec.rb'
    - 'spec/requests/api/graphql/packages/conan_spec.rb'
    - 'spec/requests/api/graphql/packages/helm_spec.rb'
    - 'spec/requests/api/graphql/packages/maven_spec.rb'
    - 'spec/requests/api/graphql/packages/nuget_spec.rb'
    - 'spec/requests/api/graphql/packages/package_spec.rb'
    - 'spec/requests/api/graphql/packages/pypi_spec.rb'
    - 'spec/requests/api/graphql/project/alert_management/alert_status_counts_spec.rb'
    - 'spec/requests/api/graphql/project/alert_management/alerts_spec.rb'
    - 'spec/requests/api/graphql/project/alert_management/integrations_spec.rb'
    - 'spec/requests/api/graphql/project/container_expiration_policy_spec.rb'
    - 'spec/requests/api/graphql/project/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/project/error_tracking/sentry_detailed_error_request_spec.rb'
    - 'spec/requests/api/graphql/project/error_tracking/sentry_errors_request_spec.rb'
    - 'spec/requests/api/graphql/project/grafana_integration_spec.rb'
    - 'spec/requests/api/graphql/project/jobs_spec.rb'
    - 'spec/requests/api/graphql/project/packages_cleanup_policy_spec.rb'
    - 'spec/requests/api/graphql/project/repository/blobs_spec.rb'
    - 'spec/requests/api/graphql/project/repository_spec.rb'
    - 'spec/requests/api/graphql/project/tree/tree_spec.rb'
    - 'spec/requests/api/graphql_spec.rb'
    - 'spec/requests/api/group_debian_distributions_spec.rb'
    - 'spec/requests/api/helm_packages_spec.rb'
    - 'spec/requests/api/maven_packages_spec.rb'
    - 'spec/requests/api/nuget_group_packages_spec.rb'
    - 'spec/requests/api/nuget_project_packages_spec.rb'
    - 'spec/requests/api/project_debian_distributions_spec.rb'
    - 'spec/requests/api/pypi_packages_spec.rb'
    - 'spec/requests/api/rpm_project_packages_spec.rb'
    - 'spec/requests/lfs_http_spec.rb'
    - 'spec/rubocop/cop/migration/complex_indexes_require_name_spec.rb'
    - 'spec/rubocop/cop/migration/refer_to_index_by_name_spec.rb'
    - 'spec/rubocop/formatter/todo_formatter_spec.rb'
    - 'spec/scripts/lib/glfm/parse_examples_spec.rb'
    - 'spec/scripts/lib/glfm/shared_spec.rb'
    - 'spec/scripts/lib/glfm/update_example_snapshots_spec.rb'
    - 'spec/scripts/lib/glfm/verify_all_generated_files_are_up_to_date_spec.rb'
    - 'spec/scripts/trigger-build_spec.rb'
    - 'spec/serializers/impersonation_access_token_entity_spec.rb'
    - 'spec/serializers/impersonation_access_token_serializer_spec.rb'
    - 'spec/services/ci/create_pipeline_service/artifacts_spec.rb'
    - 'spec/services/ci/create_pipeline_service/custom_config_content_spec.rb'
    - 'spec/services/ci/create_pipeline_service/custom_yaml_tags_spec.rb'
    - 'spec/services/ci/create_pipeline_service/limit_active_jobs_spec.rb'
    - 'spec/services/ci/create_pipeline_service/parallel_spec.rb'
    - 'spec/services/ci/create_pipeline_service/pre_post_stages_spec.rb'
    - 'spec/services/ci/create_pipeline_service/rate_limit_spec.rb'
    - 'spec/services/ci/create_pipeline_service/rules_spec.rb'
    - 'spec/services/ci/create_pipeline_service/tags_spec.rb'
    - 'spec/services/ci/job_token_scope/add_project_service_spec.rb'
    - 'spec/services/ci/job_token_scope/remove_project_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/calculate_next_run_service_spec.rb'
    - 'spec/services/ci/process_build_service_spec.rb'
    - 'spec/services/clusters/kubernetes/create_or_update_service_account_service_spec.rb'
    - 'spec/services/commits/commit_patch_service_spec.rb'
    - 'spec/services/dependency_proxy/auth_token_service_spec.rb'
    - 'spec/services/dependency_proxy/find_cached_manifest_service_spec.rb'
    - 'spec/services/dependency_proxy/head_manifest_service_spec.rb'
    - 'spec/services/dependency_proxy/request_token_service_spec.rb'
    - 'spec/services/design_management/copy_design_collection/copy_service_spec.rb'
    - 'spec/services/design_management/copy_design_collection/queue_service_spec.rb'
    - 'spec/services/design_management/delete_designs_service_spec.rb'
    - 'spec/services/design_management/move_designs_service_spec.rb'
    - 'spec/services/design_management/save_designs_service_spec.rb'
    - 'spec/services/draft_notes/create_service_spec.rb'
    - 'spec/services/draft_notes/destroy_service_spec.rb'
    - 'spec/services/draft_notes/publish_service_spec.rb'
    - 'spec/services/groups/auto_devops_service_spec.rb'
    - 'spec/services/labels/available_labels_service_spec.rb'
    - 'spec/services/merge_requests/build_service_spec.rb'
    - 'spec/services/milestones/update_service_spec.rb'
    - 'spec/services/packages/cleanup/execute_policy_service_spec.rb'
    - 'spec/services/packages/cleanup/update_policy_service_spec.rb'
    - 'spec/services/packages/composer/composer_json_service_spec.rb'
    - 'spec/services/packages/composer/create_package_service_spec.rb'
    - 'spec/services/packages/composer/version_parser_service_spec.rb'
    - 'spec/services/packages/conan/create_package_file_service_spec.rb'
    - 'spec/services/packages/conan/create_package_service_spec.rb'
    - 'spec/services/packages/create_dependency_service_spec.rb'
    - 'spec/services/packages/create_event_service_spec.rb'
    - 'spec/services/packages/create_package_file_service_spec.rb'
    - 'spec/services/packages/debian/extract_changes_metadata_service_spec.rb'
    - 'spec/services/packages/debian/extract_deb_metadata_service_spec.rb'
    - 'spec/services/packages/debian/extract_metadata_service_spec.rb'
    - 'spec/services/packages/debian/parse_debian822_service_spec.rb'
    - 'spec/services/packages/debian/process_changes_service_spec.rb'
    - 'spec/services/packages/debian/process_package_file_service_spec.rb'
    - 'spec/services/packages/helm/extract_file_metadata_service_spec.rb'
    - 'spec/services/packages/helm/process_file_service_spec.rb'
    - 'spec/services/packages/maven/create_package_service_spec.rb'
    - 'spec/services/packages/maven/find_or_create_package_service_spec.rb'
    - 'spec/services/packages/npm/create_package_service_spec.rb'
    - 'spec/services/packages/npm/create_tag_service_spec.rb'
    - 'spec/services/packages/nuget/create_dependency_service_spec.rb'
    - 'spec/services/packages/pypi/create_package_service_spec.rb'
    - 'spec/services/packages/remove_tag_service_spec.rb'
    - 'spec/services/packages/rpm/parse_package_service_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/build_filelist_xml_service_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/build_other_xml_service_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/build_primary_xml_service_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/build_repomd_xml_service_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/update_xml_service_spec.rb'
    - 'spec/services/packages/rubygems/create_dependencies_service_spec.rb'
    - 'spec/services/packages/rubygems/create_gemspec_service_spec.rb'
    - 'spec/services/packages/rubygems/dependency_resolver_service_spec.rb'
    - 'spec/services/packages/rubygems/metadata_extraction_service_spec.rb'
    - 'spec/services/packages/terraform_module/create_package_service_spec.rb'
    - 'spec/services/packages/update_package_file_service_spec.rb'
    - 'spec/services/packages/update_tags_service_spec.rb'
    - 'spec/services/projects/auto_devops/disable_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_download_link_list_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_download_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_import_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_link_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_object_download_list_service_spec.rb'
    - 'spec/services/projects/update_service_spec.rb'
    - 'spec/services/protected_branches/cache_service_spec.rb'
    - 'spec/services/service_desk_settings/update_service_spec.rb'
    - 'spec/services/submodules/update_service_spec.rb'
    - 'spec/services/wikis/create_attachment_service_spec.rb'
    - 'spec/support/fips.rb'
    - 'spec/support/generate-seed-repo-rb'
    - 'spec/support/graphql/fake_query_type.rb'
    - 'spec/support/helpers/fake_webauthn_device.rb'
    - 'spec/support/helpers/features/access_token_helpers.rb'
    - 'spec/support/helpers/features/iteration_helpers.rb'
    - 'spec/support/helpers/features/list_rows_helpers.rb'
    - 'spec/support/helpers/features/responsive_table_helpers.rb'
    - 'spec/support/helpers/features/two_factor_helpers.rb'
    - 'spec/support/helpers/lfs_http_helpers.rb'
    - 'spec/support/redis.rb'
    - 'spec/support/shared_examples/controllers/create_notes_rate_limit_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/rate_limited_endpoint_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/snowplow_event_tracking_examples.rb'
    - 'spec/support/shared_examples/controllers/unique_hll_events_examples.rb'
    - 'spec/support/shared_examples/graphql/projects/services_resolver_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/import_export/attributes_permitter_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/counter_attribute_shared_examples.rb'
    - 'spec/support/shared_examples/requests/admin_mode_shared_examples.rb'
    - 'spec/support/shared_examples/requests/rack_attack_shared_examples.rb'
    - 'spec/support/shared_examples/serializers/environment_serializer_shared_examples.rb'
    - 'spec/support/view_component.rb'
    - 'spec/tasks/rubocop_rake_spec.rb'
    - 'spec/uploaders/dependency_proxy/file_uploader_spec.rb'
    - 'spec/uploaders/packages/composer/cache_uploader_spec.rb'
    - 'spec/uploaders/packages/debian/component_file_uploader_spec.rb'
    - 'spec/uploaders/packages/debian/distribution_release_file_uploader_spec.rb'
    - 'spec/uploaders/packages/package_file_uploader_spec.rb'
    - 'spec/uploaders/packages/rpm/repository_file_uploader_spec.rb'
    - 'spec/views/ci/status/_icon.html.haml_spec.rb'
    - 'spec/views/notify/change_in_merge_request_draft_status_email.text.erb_spec.rb'
    - 'spec/views/notify/pipeline_failed_email.text.erb_spec.rb'
    - 'spec/views/notify/push_to_merge_request_email.text.haml_spec.rb'
    - 'spec/views/projects/pages/new.html.haml_spec.rb'
    - 'spec/views/shared/_label_row.html.haml_spec.rb'
    - 'spec/views/shared/ssh_keys/_key_delete.html.haml_spec.rb'
    - 'spec/views/shared/wikis/_sidebar.html.haml_spec.rb'
    - 'spec/workers/auto_devops/disable_worker_spec.rb'
    - 'spec/workers/gitlab/phabricator_import/base_worker_spec.rb'
    - 'spec/workers/gitlab/phabricator_import/import_tasks_worker_spec.rb'
    - 'spec/workers/integrations/execute_worker_spec.rb'
    - 'spec/workers/partition_creation_worker_spec.rb'
    - 'spec/workers/projects/delete_branch_worker_spec.rb'
    - 'spec/workers/web_hook_worker_spec.rb'
    - 'tooling/danger/product_intelligence.rb'
    - 'tooling/danger/suggestor.rb'
    - 'tooling/docs/deprecation_handling.rb'
